unit Unit1;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  StdCtrls;

type
  TForm1 = class(TForm)
    Button1: TButton;
    Edit1: TEdit;
    ColorDialog1: TColorDialog;
    Label1: TLabel;
    LabelCouleurHtml: TLabel;
    procedure Button1Click(Sender: TObject);
  private
    { Dclarations prives }
  public
    { Dclarations publiques }
  end;

var
  Form1: TForm1;

implementation

{$R *.DFM}


{------------------------------------------------}
{transformation d'un TColor en Couleur type HTML }
{------------------------------------------------}
function ColorToHtml(Color:TColor):String;
Var R,G,B : LongInt;
begin
   B:=GetBValue(ColorToRGB(Color));
   G:=GetGValue(ColorToRGB(Color));
   R:=GetRValue(ColorToRGB(Color));
   Result:='#'+IntToHex(R,2)+IntToHex(G,2)+IntToHex(B,2);
end;

procedure TForm1.Button1Click(Sender: TObject);
begin
  if ColorDialog1.Execute then
  begin
    Edit1.Color:=ColorDialog1.Color;
    LabelCouleurHtml.Caption:= ColorToHtml(Edit1.Color);
  end;
end;

end.
